# Tarfile created from Mercurial repository
# hg clone -u tip https://rawtherapee.googlecode.com/hg/ %{name}-%{version}
# cd %{name}-%{version}
# rm -rf .hg*
# rm -rf doc/
# rm -rf rawzor_*
# rm -rf tools/createicon.exe
# rm -f lib/*.a
# tar -cjvf ~/%{name}-%{version}-%{prerelease}.tar.bz2 ../%{name}-%{version}
%global prerelease a1
%global tarfile %{name}-%{version}-%{prerelease}.tar.bz2

Name:           rawtherapee-staging
Version:        3.0
Release:        0.54.%{prerelease}%{?dist}
Summary:        Raw image processing software

Group:          Applications/Multimedia 
License:        GPLv3 and MIT and IJG
URL:            http://www.rawtherapee.com/
Source0:        %{tarfile}
Source1:        %{name}.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake >= 2.6
BuildRequires:  gtk2-devel >= 2.12
BuildRequires:  gtkmm24-devel >= 2.16
BuildRequires:  lcms-devel  libjpeg-devel libtiff-devel
BuildRequires:  libpng-devel libiptcdata-devel desktop-file-utils
Requires:       hicolor-icon-theme
# This package is rawtherapee with extra patches from the -staging repo
Conflicts:	rawtherapee


%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.


%prep
%setup -q

# Fix for x86_64 and ppc64
%ifarch x86_64 ppc64
sed -i "s|/lib|/lib64|g" CMakeLists.txt
%endif

# Hide info box on picture by default
sed -i "s|^.*options.showInfo.*||" rtgui/editorpanel.cc

# fix wrong line endings
sed -i "s|\r||g" AUTHORS.txt COMPILE.txt

sed -i "s|CMAKE_CXX_FLAGS \${CMAKE_CXX_FLAGS} \${OpenMP_CXX_FLAGS}|CMAKE_CXX_FLAGS \"\${CMAKE_CXX_FLAGS} \${OpenMP_CXX_FLAGS}\"|" CMakeLists.txt

# Do not install useless rtstart:
sed -i "s|install (PROGRAMS rtstart|\#install (PROGRAMS rtstart|" CMakeLists.txt

%build
%{cmake} %{?BUILD_TESTS} .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
    %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/


# icons
cp -p rtdata/images/logoicon16.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/rawtherapee.png
cp -p rtdata/images/logoicon32.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/rawtherapee.png


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
%{_bindir}/update-desktop-database %{_datadir}/applications || :

/sbin/ldconfig

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :

/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS.txt LICENSE.txt COMPILE.txt
%{_bindir}/rt
%{_libdir}/*.so
%{_datadir}/rawtherapee/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/rawtherapee.png
%{_datadir}/icons/hicolor/32x32/apps/rawtherapee.png

%changelog
* Sat Nov 27 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.54.a1
 - Sync to changeset:   612:b825992e0351

* Fri Nov 26 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.53.a1
 - Sync to changeset:   608:a2de0c7a2861

* Mon Nov 22 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.52.a1
 - Sync to changeset:   604:6d7f4462d271

* Wed Nov 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.51.a1
 - Sync to changeset:   592:a2e696e7ac8a

* Fri Nov 12 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.50.a1
 - Sync to changeset:   567:4dc2d22f9c08

* Thu Nov 11 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.49.a1
 - Sync to changeset:   559:6b4c2723a0b8

* Mon Nov 8 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.48.a1
 - Sync to changeset:   544:77d947286157

* Thu Nov 4 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.47.a1
 - Sync to changeset:   506:62184727e7a9

* Mon Nov 1 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.46.a1
 - Sync to changeset:   482:dd1e00fdbb23

* Sat Oct 30 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.45.a1
 - Sync to changeset:   467:951ab307b3a7

* Fri Oct 29 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.44.a1
 - Sync to changeset:   459:d418596c9d9e

* Thu Oct 28 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.43.a1
 - Sync to changeset:   442:1d67e8b9fbbf

* Mon Oct 25 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.42.a1
 - Sync to changeset:   435:d41c541a31a4

* Thu Oct 21 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.41.a1
 - Sync to changeset:   415:19a279b6ebd6

* Wed Oct 20 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.40.a1
 - Sync to changeset:   413:a5f57a0ec5cf

* Mon Oct 18 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.39.a1
 - Sync to changeset:   394:7d444d1e53f9

* Mon Oct 18 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.38.a1
 - Sync to changeset:   393:71246ab5818f

* Tue Oct 12 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.37.a1
 - Sync to changeset:   374:6cba4a556d07

* Thu Oct 7 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.36.a1
 - Sync to changeset:   360:09f6415272e0

* Mon Oct 4 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.35.a1
 - Sync to changeset:   316:404c122f788c

* Wed Sep 29 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.34.a1
 - Sync to changeset:   304:f49274ce24de

* Thu Sep 23 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.33.a1
 - Sync to changeset:   292:a4a22328f5f6

* Fri Sep 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.32.a1
 - Sync to changeset:   278:478361c97cb4

* Wed Sep 15 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.31.a1
 - Sync to changeset:   259:5534d9db7ee9

* Mon Sep 13 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.30.a1
 - Sync to changeset:   242:164c14042c09

* Thu Sep 9 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.29.a1
 - Sync to changeset:   223:5071a52a585c

* Wed Sep 1 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.28.a1
 - Sync to changeset:   218:55d308664117

* Sat Aug 28 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.27.a1
 - Sync to changeset:   214:562a6d36d861

* Thu Aug 19 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.26.a1
 - Sync to changeset:   199:77d6112031ae

* Tue Aug 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.25.a1
 - Sync to changeset:   193:38c23c24d316

* Sun Aug 8 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.24.a1
 - Sync to changeset:   190:95c852141026

* Thu Aug 5 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.23.a1
 - Sync to changeset:   187:8c3e8f68a130

* Mon Aug 2 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.22.a1
 - Sync to changeset:   185:569f764d8c67

* Sun Aug 1 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.21.a1
 - Sync to changeset:   182:2f52d43de68b

* Tue Jul 20 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.20.a1
 - Sync to changeset:   175:0746d3953717

* Fri Jul 16 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.19.a1
 - Sync to changeset:   173:332f5c5b2dde

* Sat Jul 10 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.18.a1
 - Sync to changeset:   168:5841bb4437a6

* Wed Jul 7 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.17.a1
 - Sync to changeset:   163:8ff3edd0f8ac

* Mon Jul 5 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.16.a1
 - Sync to changeset:   158:492f5aed9aa7

* Thu Jul 1 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.15.a1
 - Sync to changeset:   154:b9a138cb7672

* Wed Jun 30 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.14.a1
 - Sync to changeset:   152:df7e6e50277b

* Tue Jun 29 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.13.a1
 - Sync to changeset:   149:30c1d2840cb8

* Sat Jun 26 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.12.a1
 - Sync to changeset:   147:fb37e57e124d

* Thu Jun 24 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.11.a1
 - Sync to changeset:   146:785341c36af2

* Sat Jun 19 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.10.a1
 - Sync to changeset:   144:ba36250eb351

* Sat Jun 19 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.9.a1
 - Sync to changeset:   142:33f77d0e8011

* Thu Jun 17 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.8.a1
 - Sync to changeset:   140:81052bfa2602

* Tue Jun 15 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.7.a1
 - Sync to changeset:   138:b69190b7bd66

* Tue Jun 15 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.6.a1
 - Sync to changeset:   137:84396720b063

* Sat Jun 12 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.5.a1
 - Sync to changeset:   135:4ebc6db6041d

* Mon Jun 7 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.4.a1
 - Sync to changeset:   129:0ca541fe0e0b

* Sat Jun 5 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.3.a1
 - Sync to changeset:   126:fcdf8c8511b7

* Fri Jun 4 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.2.a1
- Auto C/A correction and fixes

* Thu Jun 2 2010 Thibault North <tnorth@fedoraproject.org> - 3.0-0.1.a1
- Initial package from the unofficial (staging) repository.
